// wndlst.h
//
// interface to the main window class list
// update: 1.00 08-08-93 tw

class CRawHWnd : public CObject
{ 
public:         
   CRawHWnd( HWND hWnd );
   HWND  m_hWnd;
   
   BOOL IsTileWindow() const;
};


class CMainWndList : public CObList
{ 
private:
   static BOOL CALLBACK __export EnumWindowProc( HWND, LPARAM ); 

public:
   CMainWndList();
   ~CMainWndList(); 
   
   int GetTileCount();
   
   // avoid casts in usage
   CRawHWnd*& GetNext( POSITION& rPos );
   CRawHWnd* GetNext( POSITION& rPos ) const;
   CRawHWnd*& GetAt( POSITION pos );
   CRawHWnd* GetAt( POSITION pos ) const;

};